///**
// * 
// */
//package fr.emse.gitlab.saref.tests;
//
//import java.io.File;
//import java.io.FileInputStream;
//import java.io.FileNotFoundException;
//import java.util.HashMap;
//import java.util.HashSet;
//import java.util.Map;
//import java.util.Set;
//
//import org.apache.jena.rdf.model.Model;
//import org.apache.jena.riot.Lang;
//import org.topbraid.jenax.util.JenaUtil;
//
//import fr.emse.gitlab.saref.testsuites.TestCase;
//import fr.emse.gitlab.saref.testsuites.TestSuite;
//
///**
// * @author Omar Qawasmeh
// *
// *
// */
//public class PrefixesTest {
//
//	@SuppressWarnings({ "unchecked", "static-access" })
//	public static boolean comparePrefixMap(File dataTtl, TestCase tstCase, TestSuite tstSuite)
//			throws FileNotFoundException {
//		boolean testResults=true;
//
//		tstCase.setClassName(ShaclTests.class.getName());
//		tstCase.setName(new Object() {
//		}.getClass().getEnclosingMethod().getName());
//		Model dataModel = JenaUtil.createDefaultModel();
//		Map<String, String> listOfFixedPrefixes = new HashMap<String, String>();
//
//		listOfFixedPrefixes.put("owl", "http://www.w3.org/2002/07/owl#");
//		listOfFixedPrefixes.put("rdfs", "http://www.w3.org/2000/01/rdf-schema#");
//		listOfFixedPrefixes.put("xsd", "http://www.w3.org/2001/XMLSchema#");
//		listOfFixedPrefixes.put("dcterms", "http://purl.org/dc/terms/");
//		listOfFixedPrefixes.put("vann", "http://purl.org/vocab/vann/");
//		listOfFixedPrefixes.put("foaf", "http://xmlns.com/foaf/0.1/");
//
//		try {
//
//			FileInputStream fisDataTtl = new FileInputStream(dataTtl);
//			dataModel.read(fisDataTtl, "", Lang.TURTLE.getLabel());
//
//		}
//
//		catch (Exception e) {
//
//			// System.out.println("The following prefixes are missing, please
//			// add them first: ");
//
//		}
//
//		Map<String, String> currentPrefixes = dataModel.getNsPrefixMap();
//
//		Set<String> dataPrefixes = new HashSet<String>(currentPrefixes.values());
//
//		Set<String> fixedPrefixes = new HashSet<String>(listOfFixedPrefixes.values());
//		fixedPrefixes.removeAll(dataPrefixes);
//		if (fixedPrefixes.size() > 0) {
//			// System.out.println("Missing prefixes: " + fixedPrefixes);
//			// tstCase.setSystemErr(new String[] { "missing prefixes" });
//			tstCase.setSystemErr("Your ontology file is missing some prefixes");
////			tstCase.setInfo("The following prefixes are missing:" + fixedPrefixes);
//			tstCase.setStatus("danger");
////			tstSuite.setTestcase(new TestCase[] { tstCase });
////			tstSuite.jaxbObjectToXML(tstSuite);
//			testResults=false;
//			//System.exit(42);
//		} else {
//			// System.out.println("Prefix list is complete");
//			// tstCase.setSystemOut(new String[] { "prefix list is complete" });
//			tstCase.setSystemOut("Prefix list is complete");
//
//			tstCase.setStatus("success");
//			testResults=true;
//		}
//
//	return testResults;
//	}
//
//}
